<?xml version="1.0"?>
<xsl:stylesheet version="2.0" xmlns="http://www.w3.org/1999/xhtml" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:math="http://www.w3.org/1998/Math/MathML">


	<xsl:output method="xml"/>

	<xsl:template match="formalAssertions">

		<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="assumption">
		<p>
			<b>
				<xsl:if test="//page/@language='english'">Hypothesis</xsl:if>
				<xsl:if test="//page/@language='中文'">假设</xsl:if>
			</b>
			<br/>
			<xsl:for-each select="./*">
				<xsl:apply-templates select="."/>
				<xsl:choose>
					<xsl:when test="not(name()='declare') and not(name()='constraint') and not(name()='nondegeneracyCondition') and not(name()='configuration')">
						<xsl:text>; </xsl:text>
					</xsl:when>
				</xsl:choose>
			</xsl:for-each>
		</p>
	</xsl:template>


	<xsl:template match="objective">
		<p>
			<b>
				<xsl:if test="//page/@language='english'">Conclusion</xsl:if>
				<xsl:if test="//page/@language='中文'">结论</xsl:if>
			</b>
			<br/>
			<xsl:for-each select="./*">
				<xsl:apply-templates select="."/>
				<xsl:choose>
					<xsl:when test="not(name()='declare') and not(name()='constraint') and not(name()='nondegeneracyCondition') and not(name()='configuration')">
						<xsl:text>;</xsl:text>
					</xsl:when>
				</xsl:choose>
			</xsl:for-each>
		</p>
	</xsl:template>

	<xsl:template match="declare">
		<xsl:if test="./*">
			<div>
				<xsl:text>Declare: </xsl:text>
				<xsl:for-each select="./*">
					<xsl:apply-templates select="."/>
					<xsl:text>; </xsl:text>
				</xsl:for-each>
			</div>
		</xsl:if>
	</xsl:template>

	<xsl:template match="give">
		<div>given	<xsl:for-each select="./*[not(position()=last())]">
				<xsl:apply-templates select="."/>;</xsl:for-each>
			<xsl:apply-templates select="./*[position()=last()]"/>
		</div>
	</xsl:template>


	<!--xsl:template match="and">
		<xsl:for-each select="./*[not(position()=last())]">
			<xsl:apply-templates select="."/>
			<br/>&#x2227;</xsl:for-each>
		<xsl:apply-templates select="./*[position()=last()]"/>
	</xsl:template>

	<xsl:template match="or">
		<xsl:text>(</xsl:text>
		<xsl:for-each select="./*[not(position()=last())]">
			<xsl:apply-templates select="."/>
			<br/>&#x2228;</xsl:for-each>
		<xsl:apply-templates select="./*[position()=last()]"/>
		<xsl:text>)</xsl:text>
	</xsl:template-->


	<!--xsl:template match="nondegeneracyCondition">
		<xsl:if test="./*/*">
			<p class="nondegeneracyCondition">
				<b>NondegeneracyCondition:</b>
				<br/>
				<xsl:apply-templates select="./*"/>
			</p>
		</xsl:if>
	</xsl:template-->
</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2007. Progress Software Corporation. 保留所有权力.
<metaInformation>
<scenarios/><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
-->